 <form #f2="ngForm">
    <div class="row">
        <div class="col-12" style="margin-top: 5%;">
            <table border="2" align="center" style="height: 40vh;width: 40%;" class="table">
                <tr>
                    <th>
                        Reason :
                    </th>
                    <th>
                        <input type="text" class="form-control" name="txt_reason" [(ngModel)]="txt_reason" #t1="ngModel" required>
                        <p *ngIf="t1.touched && t1.invalid"  appMyvalidation></p>
                    </th>
                </tr>
                <tr>
                    <th>
                        Amount :
                    </th>
                    <th>
                        <input type="number" class="form-control"  name="txt_amount" [(ngModel)]="txt_amount" #t2="ngModel" required min="10">
                        <p *ngIf="t2.touched && t2.invalid"   appMyvalidation></p>
                    </th>
                </tr>
               
                <tr>
                    <th>
                        Type :
                    </th>
                    <th>
                        <select  class="form-control"  name="txt_type" [(ngModel)]="txt_type"  #t3="ngModel" required>
                            <option>Phone pay</option>
                            <option>Card</option>
                            <option>Cash</option>
                            <option>Others</option>
                        </select>
                        <p *ngIf="t3.touched && t3.invalid"  appMyvalidation></p>

                    </th>

                </tr>
              <tr>
                <th>
                    Date :
                </th>
                <th>
                    <input type="date" class="form-control"  name="txt_date" [(ngModel)]="txt_date" #t4="ngModel" required>
                    <p *ngIf="t4.touched && t4.invalid" appMyvalidation></p>

                </th>
              </tr>
              <tr align="center">
                <th colspan="2">
                    <button class="btn btn-primary mybutton" (click)="save(f2)" [disabled]="f2.invalid">Save</button>&nbsp;
                    <button class="btn btn-warning mybutton" (click)="update(f2)">Update</button>

                </th>
              </tr>
                
            </table>
        </div>
      
    </div>
</form>
